let defaultStock = [
    {
        name: 'Granola',
        quantity: '2',
        price: '1.3',
        code: '7622210601988',
        type: [
            'Alimentaire',
        ]
    }
];

let currentDataset = [];

$(document).ready(function () {
    currentDataset = defaultStock;
    generateTable(currentDataset);
});


function generateTable(dataset) {
    for (let i = 0; i < dataset.length; i++) {
        generateLine(dataset[i]);
    }
}


function generateLine(item) {
    $.selector_cache('#stockTable').append(
        '<tr id="row_' + item.code + '">' +
        '<td>' + item.name + '</td>' +
        '<td>' + item.quantity + '</td>' +
        '<td>' + item.price + '</td>' +
        '<td>' + item.code + '</td>' +
        '<td><a href="">LINK</a></td>' +
        '<td>' +
        '<button class="btn btn-danger" id="delete_' + item.code + '" onclick="deleteItem(this)"><i class="fas fa-times"></i></button>' +
        '<button class="btn btn-primary" id="edit_' + item.code + '" onclick="editItem(this)"><i class="fas fa-edit"></i></button>' +
        '</td>' +
        '</tr>'
    );
}

function getItemOfCode(code) {
    let item = {};
    for (let i = 0; i < currentDataset.length; i++) {
        if (currentDataset[i].code === code) {
            item = currentDataset[i];
            break;
        }
    }
    return item;
}


function editItem(elem) {
    if (isItemInputEmpty()) {
        let code = elem.id.replace('edit_', '');
        let item = getItemOfCode(code);
        console.log(item);
        setEditFieldValues(item.name, item.quantity, item.price, item.code);
        removeItemFromList(item); // Move the item in the edit fields
    }
}

function deleteItem(elem) {
    let code = elem.id.replace('delete_', '');
    let item = getItemOfCode(code);
    console.log(item);
    removeItemFromList(item);
}

function removeItemFromList(item) {
    currentDataset.splice(currentDataset.indexOf(item), 1);
    $('#row_' + item.code).remove();
}

function setEditFieldValues(name, quantity, price, code) {
    $.selector_cache('#nameInput').val(name);
    $.selector_cache('#quantityInput').val(quantity);
    $.selector_cache('#priceInput').val(price);
    $.selector_cache('#codeInput').val(code);
}

function isItemInputEmpty() {
    return $.selector_cache('#nameInput').val() === '' &&
        $.selector_cache('#quantityInput').val() === '' &&
        $.selector_cache('#priceInput').val() === '' &&
        $.selector_cache('#codeInput').val() === '';
}

function addNewItem() {
    let item = {
        name: $.selector_cache('#nameInput').val(),
        quantity: $.selector_cache('#quantityInput').val(),
        price: $.selector_cache('#priceInput').val(),
        code: $.selector_cache('#codeInput').val(),
    };
    setEditFieldValues('', '', '', '');
    currentDataset.push(item);
    generateLine(item);
}
